Bug 1212201 - spice resize-guest will grow, but not shrink, VM resolution
Summary: spice resize-guest will grow, but not shrink, VM resolution
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1242847
TreeView+ depends on / blocked
 
Reported: 2015-04-15 19:36 UTC by Cole Robinson
Modified: 2016-02-15 15:34 UTC (History)
18 users (show)

Fixed In Version: 4.1.6-201.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1242847 (view as bug list)
Environment:
Last Closed: 2016-02-15 15:34:44 UTC
Type: Bug


Attachments (Terms of Use)
Screencast showing the issue (1.29 MB, application/octet-stream)
2015-04-15 19:36 UTC, Cole Robinson
no flags Details

Description Cole Robinson 2015-04-15 19:36:09 UTC
Created attachment 1014926 [details]
Screencast showing the issue

See the attachment. Using spice resize-guest in F22 virt-manager, with F22 Beta workstation in the VM.

Resizing the window up, the VM will change resolution accurately. But shrinking the window doesn't generate any change in the VM. 100% reproducible for me (sorry the video doesn't show more, gnome-shell screencast crapped out)

Same setup works fine with a rhel6 guest, so I don't think it's a virt-manager issue

Comment 1 Marc-Andre Lureau 2015-04-15 21:13:13 UTC
Can you check xrandr has the correct + preferred and * current during resize? If yes, it's a gnome/shell regression, if not it's a qxl drm driver regression.

Comment 2 Cole Robinson 2015-04-15 21:40:01 UTC
Sorry not entirely sure what I'm looking for. Here's the raw output.

VM starts up with default resolution

[localcole@localhost ~]$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
Virtual-0 connected primary 1024x768+0+0 0mm x 0mm
   1024x768      59.92*+
   1920x1200     59.88  
   1920x1080     59.96  
   1600x1200     59.87  
   1680x1050     59.95  
   1400x1050     59.98  
   1280x1024     59.89  
   1440x900      59.89  
   1280x960      59.94  
   1280x854      59.89  
   1280x800      59.81  
   1280x720      59.86  
   1152x768      59.78  
   800x600       59.86  
   848x480       59.66  
   720x480       59.71  
   640x480       59.38  
Virtual-1 disconnected
Virtual-2 disconnected
Virtual-3 disconnected


Expand the viewer a bit, VM resizes to match:

[localcole@localhost ~]$ xrandr
Screen 0: minimum 320 x 200, current 1064 x 792, maximum 8192 x 8192
Virtual-0 connected primary 1064x792+0+0 0mm x 0mm
   1064x792      59.92*+
   1920x1200     59.88  
   1920x1080     59.96  
   1600x1200     59.87  
   1680x1050     59.95  
   1400x1050     59.98  
   1280x1024     59.89  
   1440x900      59.89  
   1280x960      59.94  
   1280x854      59.89  
   1280x800      59.81  
   1280x720      59.86  
   1152x768      59.78  
   1024x768      59.92  
   800x600       59.86  
   848x480       59.66  
   720x480       59.71  
   640x480       59.38  
Virtual-1 disconnected
Virtual-2 disconnected
Virtual-3 disconnected


Shrink the viewer a bit, VM doesn't shrink:


[localcole@localhost ~]$ xrandr
Screen 0: minimum 320 x 200, current 1064 x 792, maximum 8192 x 8192
Virtual-0 connected primary 1064x792+0+0 0mm x 0mm
   1064x792      59.92*+
   1016x762      59.78 +
   1920x1200     59.88  
   1920x1080     59.96  
   1600x1200     59.87  
   1680x1050     59.95  
   1400x1050     59.98  
   1280x1024     59.89  
   1440x900      59.89  
   1280x960      59.94  
   1280x854      59.89  
   1280x800      59.81  
   1280x720      59.86  
   1152x768      59.78  
   1024x768      59.92  
   800x600       59.86  
   848x480       59.66  
   720x480       59.71  
   640x480       59.38  
Virtual-1 disconnected
Virtual-2 disconnected
Virtual-3 disconnected


Expand the viewer even more, VM resizes:


[localcole@localhost ~]$ xrandr
Screen 0: minimum 320 x 200, current 1192 x 867, maximum 8192 x 8192
Virtual-0 connected primary 1192x867+0+0 0mm x 0mm
   1192x867      59.93*+
   1064x792      59.92 +
   1016x762      59.78 +
   1920x1200     59.88  
   1920x1080     59.96  
   1600x1200     59.87  
   1680x1050     59.95  
   1400x1050     59.98  
   1280x1024     59.89  
   1440x900      59.89  
   1280x960      59.94  
   1280x854      59.89  
   1280x800      59.81  
   1280x720      59.86  
   1152x768      59.78  
   1024x768      59.92  
   800x600       59.86  
   848x480       59.66  
   720x480       59.71  
   640x480       59.38  
Virtual-1 disconnected
Virtual-2 disconnected
Virtual-3 disconnected

Comment 3 Marc-Andre Lureau 2015-04-15 21:58:34 UTC
(In reply to Cole Robinson from comment #2)
> [localcole@localhost ~]$ xrandr
> Screen 0: minimum 320 x 200, current 1192 x 867, maximum 8192 x 8192
> Virtual-0 connected primary 1192x867+0+0 0mm x 0mm
>    1192x867      59.93*+
>    1064x792      59.92 +
>    1016x762      59.78 +

drm driver regression, sticky prefered resolution, gnome-shell takes the largest

Comment 4 Jonathon Jongsma 2015-08-19 19:35:33 UTC
possible fix posted here: http://lists.freedesktop.org/archives/dri-devel/2015-August/088726.html

Comment 5 Josh Boyer 2015-08-20 18:33:48 UTC
(In reply to Jonathon Jongsma from comment #4)
> possible fix posted here:
> http://lists.freedesktop.org/archives/dri-devel/2015-August/088726.html

Did you resend this with the signed-off-by and stable CC'd?

Comment 6 Jonathon Jongsma 2015-08-20 19:07:18 UTC
Hi Josh,

I was unfamiliar with what Dave meant by "cc stable", so I was waiting for his answer before re-sending. But I found some kernel docs suggesting to add a CC: tag to the git commit. So I've just re-sent my patch with that included. Hopefully I did it correctly. (the email may be stuck in the moderation queue, though...)

Comment 7 fulminemizzega 2015-08-26 22:41:03 UTC
Hi,

I tried the fix you posted on f22 and it works, when will it be accepted? Will it be in linux-4.3 or f23?
Thanks,
fmiz

Comment 8 Josh Boyer 2015-08-27 14:57:44 UTC
I've applied v2 of the patch to all branches in Fedora.  This will be in the rc8-git2 builds in f23/rawhide and in whatever build we do next on f21/f22.

Comment 9 fulminemizzega 2015-08-27 21:36:01 UTC
Hi,

I did some other testing, and tried the same patched kernel on xfce and lxde f22 spins, but it did not solve the issue. I don't have tried rawhide.
I also found this, from February: https://ask.fedoraproject.org/en/question/63490/fedora-21-lxdexfcekde-guests-with-qxlspice-dont-auto-resize/

I don't know if this "helps", but I also tried debian 8.1 stable + xfce 4.12 (from testing), and resizing works. Debian stable is on linux 3.16.
I used virt-install to create both guests, used --os-variant=fedora22 for Fedora and --os-variant=debian7 for debian, the main difference I noticed is that the debian xml definition does not have a qemu-ga channel device.

Comment 10 Fedora Update System 2015-09-01 14:59:50 UTC
kernel-4.2.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14782

Comment 11 Fedora Update System 2015-09-01 20:22:00 UTC
kernel-4.2.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update kernel'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14782

Comment 12 Fedora Update System 2015-09-04 03:23:32 UTC
kernel-4.2.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-09-05 01:03:27 UTC
kernel-4.1.6-201.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15130

Comment 14 Fedora Update System 2015-09-06 18:52:15 UTC
kernel-4.1.6-201.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update kernel'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15130

Comment 15 Fedora Update System 2015-09-11 17:21:27 UTC
kernel-4.1.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-09-15 17:35:55 UTC
kernel-4.1.7-100.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15933

Comment 17 Fedora Update System 2015-09-17 01:02:25 UTC
kernel-4.1.7-100.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update kernel'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15933

Comment 18 Fedora Update System 2015-09-23 00:20:32 UTC
kernel-4.1.7-100.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.